## Class always_true

boost::scope::always_true — A predicate that always returns `true`.

## Synopsis

    // In header: <boost/scope/scope_exit.hpp>

    class always_true {
    public:
      // types
      typedef bool result_type;  // Predicate result type.

      // public member functions
      result_type operator()() const noexcept;
    };

## Description

This predicate can be used as the default condition function object for `scope_exit` and similar scope guards.

### `always_true` public member functions

1.     result_type operator()() const noexcept;

   Throws: Nothing.

   Returns: | `true`.